searchNodes=[{"type":"module","title":"TypeID","doc":"TypeID Elixir Read the full documentation on hexdocs A type-safe, K-sortable, globally unique identifier inspired by Stripe IDs TypeIDs are a modern, type-safe, globally unique identifier based on the upcoming UUIDv7 standard. They provide a ton of nice properties that make them a great choice as the primary identifiers for your data in a database, APIs, and distributed systems. Read more about TypeIDs in their spec. Installation The package can be installed from hex by adding typeid_elixir to your list of dependencies in mix.exs : def deps do [ { :typeid_elixir , &quot;~&gt; 0.0.1&quot; } ] end Spec The original TypeID spec is defined here .","ref":"TypeID.html"},{"type":"function","title":"TypeID.from/2","doc":"Parses a t/0 from a prefix and suffix. Example iex&gt; { :ok , tid } = TypeID . from ( &quot;invoice&quot; , &quot;01h45ydzqkemsb9x8gq2q7vpvb&quot; ) iex&gt; tid # TypeID &lt; &quot;invoice_01h45ydzqkemsb9x8gq2q7vpvb&quot; &gt;","ref":"TypeID.html#from/2"},{"type":"function","title":"TypeID.from!/2","doc":"Like from/2 but raises an error if the prefix or suffix are invalid.","ref":"TypeID.html#from!/2"},{"type":"function","title":"TypeID.from_string/1","doc":"Parses a t/0 from a string. Example iex&gt; { :ok , tid } = TypeID . from_string ( &quot;game_01h45yhtgqfhxbcrsfbhxdsdvy&quot; ) iex&gt; tid # TypeID &lt; &quot;game_01h45yhtgqfhxbcrsfbhxdsdvy&quot; &gt;","ref":"TypeID.html#from_string/1"},{"type":"function","title":"TypeID.from_string!/1","doc":"Like from_string/1 but raises an error if the string is invalid.","ref":"TypeID.html#from_string!/1"},{"type":"function","title":"TypeID.from_uuid/2","doc":"Parses a t/0 from a prefix and a string representation of a uuid. Example iex&gt; { :ok , tid } = TypeID . from_uuid ( &quot;device&quot; , &quot;01890be9-b248-777e-964e-af1d244f997d&quot; ) iex&gt; tid # TypeID &lt; &quot;device_01h45ykcj8exz9cknf3mj4z6bx&quot; &gt;","ref":"TypeID.html#from_uuid/2"},{"type":"function","title":"TypeID.from_uuid!/2","doc":"Like from_uuid/2 but raises an error if the prefix or uuid are invalid.","ref":"TypeID.html#from_uuid!/2"},{"type":"function","title":"TypeID.from_uuid_bytes/2","doc":"Parses a t/0 from a prefix and a raw binary uuid. Example iex&gt; { :ok , tid } = TypeID . from_uuid_bytes ( &quot;policy&quot; , &lt;&lt; 1 , 137 , 11 , 235 , 83 , 221 , 116 , 212 , 161 , 42 , 205 , 139 , 182 , 243 , 175 , 110 &gt;&gt; ) iex&gt; tid # TypeID &lt; &quot;policy_01h45ypmyxekaa2apdhevf7bve&quot; &gt;","ref":"TypeID.html#from_uuid_bytes/2"},{"type":"function","title":"TypeID.from_uuid_bytes!/2","doc":"Like from_uuid_bytes/2 but raises an error if the prefix or uuid_bytes are invalid.","ref":"TypeID.html#from_uuid_bytes!/2"},{"type":"function","title":"TypeID.new/1","doc":"Generates a new t/0 with the given prefix. Example iex&gt; TypeID . new ( &quot;acct&quot; ) # TypeID &lt; &quot;acct_01h45y0sxkfmntta78gqs1vsw6&quot; &gt;","ref":"TypeID.html#new/1"},{"type":"function","title":"TypeID.suffix/1","doc":"Returns the base 32 encoded suffix of the given t/0 Example iex&gt; tid = TypeID . from_string! ( &quot;invite_01h45y3ps9e18adjv9zvx743s2&quot; ) iex&gt; TypeID . suffix ( tid ) &quot;01h45y3ps9e18adjv9zvx743s2&quot;","ref":"TypeID.html#suffix/1"},{"type":"function","title":"TypeID.to_string/1","doc":"Returns a string representation of the given t/0 Example iex&gt; tid = TypeID . from_string! ( &quot;user_01h45y6thxeyg95gnpgqqefgpa&quot; ) iex&gt; TypeID . to_string ( tid ) &quot;user_01h45y6thxeyg95gnpgqqefgpa&quot;","ref":"TypeID.html#to_string/1"},{"type":"function","title":"TypeID.type/1","doc":"Returns the type of the given t/0 . Example iex&gt; tid = TypeID . new ( &quot;doc&quot; ) iex&gt; TypeID . type ( tid ) &quot;doc&quot;","ref":"TypeID.html#type/1"},{"type":"function","title":"TypeID.uuid/1","doc":"Returns t/0 's UUID as a string. Example iex&gt; tid = TypeID . from_string! ( &quot;item_01h45ybmy7fj7b4r9vvp74ms6k&quot; ) iex&gt; TypeID . uuid ( tid ) &quot;01890be5-d3c7-7c8e-b261-3bdd8e4a64d3&quot;","ref":"TypeID.html#uuid/1"},{"type":"function","title":"TypeID.uuid_bytes/1","doc":"Returns the raw binary representation of the t/0 's UUID. Example iex&gt; tid = TypeID . from_string! ( &quot;order_01h45y849qfqvbeayxmwkxg5x9&quot; ) iex&gt; TypeID . uuid_bytes ( tid ) &lt;&lt; 1 , 137 , 11 , 228 , 17 , 55 , 125 , 246 , 183 , 43 , 221 , 167 , 39 , 216 , 23 , 169 &gt;&gt;","ref":"TypeID.html#uuid_bytes/1"},{"type":"opaque","title":"TypeID.t/0","doc":"An internal struct representing a TypeID .","ref":"TypeID.html#t:t/0"},{"type":"module","title":"TypeID.UUID","doc":"","ref":"TypeID.UUID.html"},{"type":"function","title":"TypeID.UUID.to_string/1","doc":"","ref":"TypeID.UUID.html#to_string/1"},{"type":"function","title":"TypeID.UUID.uuid7/1","doc":"","ref":"TypeID.UUID.html#uuid7/1"}]